Download all Joomla templates including quickstart (demo)only $24.99

General

Joomla 4 System Requirements

The system requirements to install Joomla 4 are various. Your local host (WAMP, XAMPP, MAMP, LAMP) or your remote hosting provider must meet these requirements to ensure optimal performance and compatibility. These are requirements for Joomla 4:

Basic Requirements

Software Recommended Minimum
PHP 8.0 7.2.5
Supported Databases
MySQL 5.6 + 5.6
PostgreSQL 11.0 + 11.0
Supported Web Servers
Apache 2.4 + 2.4
Nginx 1.18 + 1.10
Microsoft IIS 10 + 8

Important Requirements

This information can be obtained from your hosting or ask your provider about it.

  • max_execution_time = 120
  • memory_limit = 128MB (512 is recommended)
  • upload_max_filesize = 16MB or more
  • Open SSL Libraries - must be enabled
  • cURL or url_fopen in your hosting
  • PHP file_get_contents()
  • GD Library
  • Support for multibyte in PHP

Browser Support

All modern browsers, if they are less than 5 years old, better compatibility. Remember that Internet Explorer is dead

74,912+
Happy customers guarantee our Templates and Extensions